package cn.newfeifan.mall.module.distri.controller.admin.consumptiontopuplog.vo;

import cn.newfeifan.mall.module.system.api.sms.dto.code.SmsCodeUseReqDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 平台消费分充值记录新增/修改 Request VO")
@Data
public class ConsumptionTopUpLogSaveReqVO {

    @Schema(description = "充值编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5725")
    private Long id;

    @Schema(description = "用户ID", example = "22163")
    private Long userId;

    @Schema(description = "转账凭证附件")
    private String attachment;

    @Schema(description = "消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "消费分不能为空")
    private Long consumptionPoints;

    @Schema(description = "实际消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long practicalConsumptionPoints;

    @Schema(description = "用户名", example = "赵六")
    private String userName;

    @Schema(description = "短信验证码 DTO")
    private SmsCodeUseReqDTO smsCodeUseReqDTO;

}