package cn.newfeifan.mall.module.distri.controller.admin.ordercalc.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 订单产生数据计算分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderCalcPageReqVO extends PageParam {

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "用户ID", example = "28565")
    private Long userId;

    @Schema(description = "售价", example = "10413")
    private Long price;

    @Schema(description = "成本")
    private Long cost;

    @Schema(description = "毛利 = 成本 * 0.38... (推广费用)")
    private Long grossProfit;

    @Schema(description = "推广-用户额度")
    private Long grossProfitUserQuota;

    @Schema(description = "推广-推荐人额度")
    private Long grossProfitAncestorQuota;

    @Schema(description = "推广-合赢奖额度(浮动)")
    private Long grossProfitBonusQuota;

    @Schema(description = "推广-平台分成额度(浮动)")
    private Long grossProfitPlatformQuota;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;


    @Schema(description = "计算百分比模板")
    private String percentTemplate;


    @Schema(description = "用户昵称", example = "王五")
    private String nickName;

    @Schema(description = "下单人姓名", example = "赵六")
    private String name;

    @Schema(description = "订单ID", example = "21497")
    private Long orderId;
    @Schema(description = "购买数量", example = "10152")
    private Integer productCount;

}