package cn.newfeifan.mall.module.distri.controller.admin.ordersettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 订单结算表,记录有那些订单参与了本次结算新增/修改 Request VO")
@Data
public class OrderSettlementSaveReqVO {

    @Schema(description = "结算二级表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14003")
    private Long id;

    @Schema(description = "结算表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3067")
    @NotNull(message = "结算表ID不能为空")
    private Long tradeShopSettlementId;

    @Schema(description = "订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16254")
    @NotNull(message = "订单ID不能为空")
    private Long tradeOrderId;

}