package cn.newfeifan.mall.module.distri.controller.admin.ptprofitdailystatisticslog.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台利润每日统计记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PtProfitDailyStatisticsLogRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "26578")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "时间(每日)", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("时间(每日)")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate everyday;

    @Schema(description = "平台对碰支出", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("平台对碰支出")
    private Long totalCollisionAmount;

    @Schema(description = "平台剩余金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("平台剩余金额")
    private Long totalRemainingAmount;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}