package cn.newfeifan.mall.module.distri.controller.admin.ptsettlement.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台每日结算信息表，记录店铺的结算信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PtSettlementPageReqVO extends PageParam {

    @Schema(description = "销售额（积分 + 支付金额）")
    private Integer platformCollectionAmount;

    @Schema(description = "抵扣积分")
    private Long shopAmount;

    @Schema(description = "共计成本价格(高精度 + 成本)")
    private BigDecimal shopTotalHighAmount;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "是否结账")
    private Boolean platformTransferConfirm;

    @Schema(description = "导出状态,已导出是1，未导出为0", example = "1")
    private Boolean exportStatus;

    @Schema(description = "抵扣消费分")
    private Long consumptionPoints;
}