package cn.newfeifan.mall.module.distri.service.consumptiontopuplog;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.consumptiontopuplog.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.consumptiontopuplog.ConsumptionTopUpLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 平台消费分充值记录 Service 接口
 *
 * @author 非繁人
 */
public interface ConsumptionTopUpLogService {

    /**
     * 创建平台消费分充值记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionTopUpLog(@Valid ConsumptionTopUpLogSaveReqVO createReqVO);

    /**
     * 更新平台消费分充值记录
     *
     * @param updateReqVO 更新信息
     */
    void updateConsumptionTopUpLog(@Valid ConsumptionTopUpLogSaveReqVO updateReqVO);

    /**
     * 删除平台消费分充值记录
     *
     * @param id 编号
     */
    void deleteConsumptionTopUpLog(Long id);

    /**
     * 获得平台消费分充值记录
     *
     * @param id 编号
     * @return 平台消费分充值记录
     */
    ConsumptionTopUpLogDO getConsumptionTopUpLog(Long id);

    /**
     * 获得平台消费分充值记录分页
     *
     * @param pageReqVO 分页查询
     * @return 平台消费分充值记录分页
     */
    PageResult<ConsumptionTopUpLogDO> getConsumptionTopUpLogPage(ConsumptionTopUpLogPageReqVO pageReqVO);

    /**
     * 是否是第一次充值消费分
     *
     * @param userId 用户编号
     * @return 是否是第一次充值消费分
     */
    ConsumptionInfoVO isFirstConsumption(Long userId);

    /**
     * 获取所有的充值记录
     * @return 充值记录
     */
    List<ConsumptionTopUpLogDO> selectList();
}