package cn.newfeifan.mall.module.distri.service.orderitemsettlement;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.orderitemsettlement.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.orderitemsettlement.OrderItemSettlementDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 订单结算表,记录有那些订单项参与了本次结算 Service 接口
 *
 * @author 非繁人
 */
public interface OrderItemSettlementService {

    /**
     * 创建订单结算表,记录有那些订单项参与了本次结算
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOrderItemSettlement(@Valid OrderItemSettlementSaveReqVO createReqVO);

    /**
     * 更新订单结算表,记录有那些订单项参与了本次结算
     *
     * @param updateReqVO 更新信息
     */
    void updateOrderItemSettlement(@Valid OrderItemSettlementSaveReqVO updateReqVO);

    /**
     * 删除订单结算表,记录有那些订单项参与了本次结算
     *
     * @param id 编号
     */
    void deleteOrderItemSettlement(Long id);

    /**
     * 获得订单结算表,记录有那些订单项参与了本次结算
     *
     * @param id 编号
     * @return 订单结算表,记录有那些订单项参与了本次结算
     */
    OrderItemSettlementDO getOrderItemSettlement(Long id);

    /**
     * 获得订单结算表,记录有那些订单项参与了本次结算分页
     *
     * @param pageReqVO 分页查询
     * @return 订单结算表,记录有那些订单项参与了本次结算分页
     */
    PageResult<OrderItemSettlementDO> getOrderItemSettlementPage(OrderItemSettlementPageReqVO pageReqVO);

}