package cn.newfeifan.mall.module.product.controller.admin.spuapplylog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 商品审核记录新增/修改 Request VO")
@Data
@Builder
public class SpuApplyLogSaveReqVO {

    @Schema(description = "spu审核记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3825")
    private Long id;

    @Schema(description = "申请状态  0:申请中 1:通过 2:未通过", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "申请状态  0:申请中 1:通过 2:未通过不能为空")
    private Integer status;

    @Schema(description = "商品申请id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1516")
    @NotNull(message = "商品申请id不能为空")
    private Long productSpuApplyId;

    @Schema(description = "审核系统用户id", example = "28003")
    private Long checkSystemUserId;

    @Schema(description = "审核意见")
    private String checkComment;

    @Schema(description = "修改的json对象")
    private String changeJsonObject;

}