package cn.newfeifan.mall.module.product.dal.dataobject.skuapply;

import lombok.*;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商品sku申请 DO
 *
 * @author 非繁人
 */
@TableName("product_sku_apply")
@KeySequence("product_sku_apply_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SkuApplyDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * spu编号
     */
    private Long spuApplyId;
    /**
     * 属性数组，JSON 格式 [{propertId: , valueId: }, {propertId: , valueId: }]
     */
    private String properties;
    /**
     * 商品价格，单位：分
     */
    private Integer price;
    /**
     * 推广费, 单位: 分
     */
    private Integer promotionFee;
    /**
     * 备注
     */
    private String mark;
    /**
     * 市场价，单位：分
     */
    private Integer marketPrice;
    /**
     * 成本价，单位： 分
     */
    private Integer costPrice;
    /**
     * SKU 的条形码
     */
    private String barCode;
    /**
     * 图片地址
     */
    private String picUrl;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 商品重量，单位：kg 千克
     */
    private Double weight;
    /**
     * 商品体积，单位：m^3 平米
     */
    private Double volume;
    /**
     * 一级分销的佣金，单位：分
     */
    private Integer firstBrokeragePrice;
    /**
     * 二级分销的佣金，单位：分
     */
    private Integer secondBrokeragePrice;
    /**
     * 商品销量
     */
    private Integer salesCount;
    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * 高精度价格
     */
    private BigDecimal highPrecisionPrice;
    /**
     * 结算价，单位： 分
     */
    private Integer settlementPrice;
    /**
     * 高精度结算价
     */
    private BigDecimal highPrecisionSettlementPrice;

}