package cn.newfeifan.mall.module.product.dal.dataobject.spuapply;

import lombok.*;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商品spu申请 DO
 *
 * @author 非繁人
 */
@TableName("product_spu_apply")
@KeySequence("product_spu_apply_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpuApplyDO extends BaseDO {

    /**
     * 商品 SPU 编号，自增
     */
    @TableId
    private Long id;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 关键字
     */
    private String keyword;
    /**
     * 商品简介
     */
    private String introduction;
    /**
     * 商品详情
     */
    private String description;
    /**
     * 产地
     */
    private String producerArea;
    /**
     * 商品类别
     */
    private Integer spuType;
    /**
     * 商品分类编号
     */
    private Long categoryId;
    /**
     * 商品品牌编号
     */
    private Integer brandId;
    /**
     * 商品封面图
     */
    private String picUrl;
    /**
     * 商品轮播图地址
 数组，以逗号分隔
 最多上传15张
     */
    private String sliderPicUrls;
    /**
     * 排序字段
     */
    private Integer sort;
    /**
     * 商品状态: 0 上架（开启） 1 下架（禁用）-1 回收
     */
    private Integer status;
    /**
     * 规格类型：0 单规格 1 多规格
     */
    private Boolean specType;
    /**
     * 商品价格，单位使用：分
     */
    private Integer price;
    /**
     * 市场价，单位使用：分
     */
    private Integer marketPrice;
    /**
     * 成本价，单位： 分
     */
    private Integer costPrice;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 配送方式数组
     */
    private String deliveryTypes;
    /**
     * 物流配置模板编号
     */
    private Long deliveryTemplateId;
    /**
     * 赠送积分
     */
    private Integer giveIntegral;
    /**
     * 分销类型
     */
    private Boolean subCommissionType;
    /**
     * 商品销量
     */
    private Integer salesCount;
    /**
     * 虚拟销量
     */
    private Integer virtualSalesCount;
    /**
     * 商品点击量
     */
    private Integer browseCount;
    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * 是否隐藏。隐藏：1，不隐藏：0
     */
    private Boolean hidden;
    /**
     * 推广费, 单位: 分，值为sku中最大的推广费
     */
    private Integer promotionFee;
    /**
     * 商品支付类别(1 rmb 2积分)
     */
    private Integer spuPayType;
    /**
     * 高精度
     */
    private Boolean highPrecision;
    /**
     * 高精度价格
     */
    private BigDecimal highPrecisionPrice;
    /**
     * 申请用户id
     */
    private Long applyMemberUserId;
    /**
     * 审核系统用户id
     */
    private Long checkSystemUserId;
    /**
     * 审核时间
     */
    private LocalDateTime checkTime;
    /**
     * 审核意见
     */
    private String checkComment;
    /**
     * 审核状态：默认0表示未审核，1审核通过，2审核不通过
     */
    private Integer checkStatus;

}